#https://dev.mysql.com/doc/refman/8.0/en/functions.html
#http://www.mysql.ru/docs/man/Functions.html

SELECT CONCAT(Name, ', ', Continent, ', ', Region) AS full_name FROM country LIMIT 10;

SELECT CONCAT_WS(', ', Name, Continent, Region) AS full_name FROM country LIMIT 10;

SELECT Name, FORMAT(SurfaceArea, 1, 'de_DE') AS area_de, FORMAT(SurfaceArea, 1, 'ru_RU') AS area_ru, Population FROM country ORDER BY Population DESC LIMIT 10;

SELECT Name, UCASE(Name) AS u1, LCASE(Name) AS l1 FROM country LIMIT 10;

SELECT LTRIM('   test   ');
SELECT RTRIM('   test   ');
SELECT TRIM('   test   ');

SELECT Name, SurfaceArea, Population, (Population / SurfaceArea) AS Density, CEIL(Population / SurfaceArea) AS Density2 FROM country ORDER BY Population DESC LIMIT 10;

SELECT Name, SurfaceArea, Population, (Population / SurfaceArea) AS Density, FLOOR(Population / SurfaceArea) AS Density2 FROM country ORDER BY Population DESC LIMIT 10;

SELECT Name, SurfaceArea, Population, (Population / SurfaceArea) AS Density, ROUND( (Population / SurfaceArea), 1) AS Density2 FROM country ORDER BY Population DESC LIMIT 10;

SELECT NOW();

SET lc_time_names = 'ru_RU';
SELECT DATE_FORMAT(NOW(), '%d %M %Y');